# newgrf_spritegroup.cpp File Reference

Handling of primarily NewGRF action 2. More...

`#include "stdafx.h"`
`#include "oldpool.h"`
`#include "newgrf.h"`
`#include "newgrf_spritegroup.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Functions
static void | SpriteGroupPoolCleanBlock (uint start_item, uint end_item)
static void | DestroySpriteGroup (SpriteGroup *group)
SpriteGroup * | AllocateSpriteGroup ()
void | InitializeSpriteGroupPool ()
static uint32 | GetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static uint32 | RotateRight (uint32 val, uint32 rot)
| Rotate val rot times to the right.
template<typename U, typename S>
static U | EvalAdjustT (const DeterministicSpriteGroupAdjust *adjust, ResolverObject *object, U last_value, uint32 value)
static const SpriteGroup * | ResolveVariable (const SpriteGroup *group, ResolverObject *object)
static const SpriteGroup * | ResolveRandom (const SpriteGroup *group, ResolverObject *object)
const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject *object)
## Variables
static uint | _spritegroup_count = 0
TemporaryStorageArray< uint32, 0x110 > | _temp_store

## Detailed Description

Handling of primarily NewGRF action 2.

Definition in file newgrf_spritegroup.cpp.

## Function Documentation

static uint32 RotateRight | ( | uint32 | val,
|  | uint32 | rot |
| ) |  |  | `[static]`

Rotate val rot times to the right.

Parameters:

  | val | the value to rotate
  | rot | the amount of times to rotate

Returns:
  the rotated value

Definition at line 110 of file newgrf_spritegroup.cpp.